
package s3.services.simplejit.test;
class OVMClassReader{}
/** Does not compile for me -- jv

import ovm.core.repository.TypeName;
import ovm.core.domain.Domain;
import ovm.core.domain.Type;
import ovm.core.repository.Repository;
import ovm.core.repository.RepositoryClass;
import ovm.core.repository.RepositoryException;

public class OVMClassReader {

    private static String classpath;
    public static Domain domain;
    public static Type.Context tcontext;
    public static ovm.services.bytecode.Services bcservices;
    public static Repository repository;

    static {
	s3.Configuration.configure();

	String bootcp = System.getProperty("sun.boot.class.path");
	String usercp = System.getProperty("java.class.path");
	classpath = bootcp + ":" + usercp;
        classpath = ".:"+classpath;
	domain = s3.Configuration.getDomainServices().getDomainFactory().makeDomain(classpath);
	tcontext = domain.getSystemTypeContext();
	repository = s3.Configuration.getRepositoryServices().getRepository();
	bcservices = s3.Configuration.getBytecodeServices();
    }

    public static RepositoryClass getClass(String packagename, String classname) {
	TypeName tn = repository.makeTypeName(packagename,
					      classname);
	try {
	    return tcontext.getRepositoryClass((TypeName.Scalar)tn);
	} catch (RepositoryException re) {
	    re.printStackTrace();
	}
	return null;
    }

}

*/